Subject: bug#21858: package-initialize: no good in .emacs!

From: Artur Malabarba <[email-masked]>
Date: Sun, 8 Nov 2015 15:41:56 +0000

2015-11-08 14:46 GMT+00:00 Juanma Barranquero <[email-masked]>:
> On Sun, Nov 8, 2015 at 4:17 AM, David Reitter <[email-masked]>
> wrote:
>
>> > Symbol's function definition is void: package-initialize
>
> Obviously you could work around it by adding
>
> (unless (fboundp 'package-initialize) (defalias 'package-initialize
> 'ignore))

Or just comment out that `(package-initialize)' line, as explained in
the comments inserted above it.
If you do that, you're left with the usual behaviour from Emacs 24.